Bug 1570873 - Webadmin tells user that memory and CPU cannot be changed while VM is running
Summary: Webadmin tells user that memory and CPU cannot be changed while VM is running
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 15:13 UTC by Jan Zmeskal
Modified: 2020-06-26 16:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:48:35 UTC
oVirt Team: Virt
rbarry: ovirt-4.5?


Attachments (Terms of Use)

Description Jan Zmeskal 2018-04-23 15:13:26 UTC
Description of problem:
If you try to change memory or # of CPUs for a running VM, the webadmin UI reacts as though such a change is impossible to make. However this change can be made. Furthermore, once it is done, there's an icon in the UI signaling that the VM needs to be rebooted for this change to take effect. This is incorrect information as well.

Version-Release number of selected component (if applicable):
RHV 4.2.3.2

How reproducible:
100 %

Steps to Reproduce:
1. Have a running VM
2. Change VM's memory to some new value
- There is a warning window that such a change will not take an immediate effect which is not true. Just click OK when prompted with this warning.
3. Open console to your VM and verify that the memory has indeed been changed.

Actual results:
The memory has been changed. However there is a warning icon associated with the VM in the UI. 

Expected results:
I would expected that not to get warning during making a change that can be performed on a running VM. Once the change is completed, I'd expect not to have a warning icon at the changed VM since the change has already taken place.

Additional info:
All the information above also apply to changing CPU.

Comment 2 Michal Skrivanek 2018-04-24 06:24:18 UTC
please attach engine.log and time/VM id

Comment 4 Michal Skrivanek 2020-03-18 15:45:25 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 5 Michal Skrivanek 2020-03-18 15:50:21 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 6 Michal Skrivanek 2020-04-01 14:48:35 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.